Bug 1284276 - blivet.errors.DeviceFormatError: device path does not exist or is not writable
blivet.errors.DeviceFormatError: device path does not exist or is not writable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:da795e9fdb3965b370ffe2c07e8...
:
: 1377021 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 12:02 EST by Alessandro Selli
Modified: 2016-12-20 11:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:10:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (781.46 KB, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: anaconda.log (61.33 KB, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: environ (621 bytes, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: journalctl (252.83 KB, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: lsblk_output (3.81 KB, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: nmcli_dev_list (907 bytes, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: os_info (451 bytes, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: program.log (89.69 KB, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: storage.log (345.98 KB, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details
File: ifcfg.log (2.58 KB, text/plain)
2015-11-22 12:03 EST, Alessandro Selli
no flags Details

  None (edit)
Description Alessandro Selli 2015-11-22 12:02:42 EST
Description of problem:
Chose to use standard partition for installation.
Chose to encrypt filesystems.
Configured sda6 as /boot (unencrypted)
Configured sda7 as / (encypted)
Deleted partition sda8 because it could not be used
Created partition sda8
Configured sda8 as /home (encypted)
Configured sda9 as /usr  (encypted)
Clicked on "Fatto" (Italian for "done")
Crash ensued.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/formats/__init__.py", line 438, in _preDestroy
    raise DeviceFormatError("device path does not exist or is not writable")
  File "/usr/lib/python3.4/site-packages/blivet/formats/__init__.py", line 425, in destroy
    self._preDestroy(**kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 677, in execute
    self.format.destroy()
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.DeviceFormatError: device path does not exist or is not writable

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-LXDE-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Alessandro Selli 2015-11-22 12:03:09 EST
Created attachment 1097541 [details]
File: anaconda-tb
Comment 2 Alessandro Selli 2015-11-22 12:03:14 EST
Created attachment 1097542 [details]
File: anaconda.log
Comment 3 Alessandro Selli 2015-11-22 12:03:16 EST
Created attachment 1097543 [details]
File: environ
Comment 4 Alessandro Selli 2015-11-22 12:03:25 EST
Created attachment 1097544 [details]
File: journalctl
Comment 5 Alessandro Selli 2015-11-22 12:03:26 EST
Created attachment 1097545 [details]
File: lsblk_output
Comment 6 Alessandro Selli 2015-11-22 12:03:28 EST
Created attachment 1097546 [details]
File: nmcli_dev_list
Comment 7 Alessandro Selli 2015-11-22 12:03:29 EST
Created attachment 1097547 [details]
File: os_info
Comment 8 Alessandro Selli 2015-11-22 12:03:34 EST
Created attachment 1097548 [details]
File: program.log
Comment 9 Alessandro Selli 2015-11-22 12:03:46 EST
Created attachment 1097549 [details]
File: storage.log
Comment 10 Alessandro Selli 2015-11-22 12:03:48 EST
Created attachment 1097550 [details]
File: ifcfg.log
Comment 11 baloghsz 2016-09-17 11:43:16 EDT
*** Bug 1377021 has been marked as a duplicate of this bug. ***
Comment 12 Fedora End Of Life 2016-11-24 08:38:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 11:10:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.